(function ($, Drupal, window, once, drupalSettings) {
  Drupal.behaviors.usercentrics = {
    attach: function (context) {
      var button_label = Drupal.t("Manage consents", {}, {context: 'usercentrics'})
      var button_html = $('<button id="uc_toggle_dialog" aria-label="' + button_label + '" title="'+ button_label + '" type="button" class="uc_toggle_dialog uc_toggle_dialog_override" rel="open-consent-manager">' + button_label + '</button>');
      $(button_html).on('click', function(event) {
        event.preventDefault();
        UC_UI.showFirstLayer();
      });
      if ((typeof drupalSettings.usercentrics !== 'undefined') && (typeof drupalSettings.usercentrics.logopath !== 'undefined')) {
        $(button_html).css('background-image', 'url(' + drupalSettings.usercentrics.logopath + ')');
      }
      $('body', context).append(button_html);
    }
  };
})(jQuery, Drupal, this, once, drupalSettings);